Package tigase.xmpp.mam

# Class MAMQueryParser<Query extends Query>

java.lang.Object
tigase.xmpp.mam.MAMQueryParser<Query>

All Implemented Interfaces:
  `QueryParser<Query>`

Direct Known Subclasses:
  `MAM2QueryParser`

@Bean(name="mamQueryParser", active=true) public class MAMQueryParser<Query extends Query> extends Object implements QueryParser<Query>
Implementation of parser for XEP-0313: Message Archive Management
Created by andrzej on 19.07.2016.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `MAM_XMLNS`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `MAMQueryParser()`
  `protected`
  `MAMQueryParser(Stream<String> additionalNamespaces)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addField(Element x, String var, String type, String label)`
  `protected void`
  `assertIsUUID(String uuid)`
  `Set<String>`
  `getXMLNSs()`
  `Query`
  `parseQuery(Query query, Packet packet)`
  `Element`
  `prepareForm(Element elem)`
  `Element`
  `prepareForm(Element elem, String xmlns, Packet packet)`
  `protected void`
  `validateRsm(RSM rsm)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.xmpp.mam.QueryParser

  `prepareForm`

- ## Field Details

  - ### MAM_XMLNS

    protected static final String MAM_XMLNS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MAMQueryParser

    public MAMQueryParser()

  - ### MAMQueryParser

    protected MAMQueryParser(Stream<String> additionalNamespaces)

- ## Method Details

  - ### getXMLNSs

    public Set<String> getXMLNSs()
    Specified by:
      `getXMLNSs` in interface `QueryParser<Query extends Query>`

  - ### parseQuery

    public Query parseQuery(Query query, Packet packet) throws ComponentException
    Specified by:
      `parseQuery` in interface `QueryParser<Query extends Query>`
    Throws:
      `ComponentException`

  - ### prepareForm

    public Element prepareForm(Element elem)
    Specified by:
      `prepareForm` in interface `QueryParser<Query extends Query>`

  - ### prepareForm

    public Element prepareForm(Element elem, String xmlns, Packet packet)
    Specified by:
      `prepareForm` in interface `QueryParser<Query extends Query>`

  - ### addField

    protected void addField(Element x, String var, String type, String label)

  - ### validateRsm

    protected void validateRsm(RSM rsm) throws ComponentException
    Throws:
      `ComponentException`

  - ### assertIsUUID

    protected void assertIsUUID(String uuid) throws ComponentException
    Throws:
      `ComponentException`